: Interface MessageExtra

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.storage
Interface MessageExtra

public abstract interface MessageExtra

These are extra interfaces that our message objects implement that are not implemented as part of the standard Message class. If you want to call any of these, and you just have a base Message object, use MessageExtraFactory to find or create the MessageExtra object for you.

Method Summary
`java.lang.String` | `getAuthor()` The name of the author of this message (not his email address).
`java.io.InputStream` | `getInputStreamWithHeaders()` Gets the input stream for the message, in RFC822 format: a bunch of headers, and then a blank line, and then the message itself.
`java.lang.Object` | `getMessageID()` A unique object representing the message-id for this message.
`java.lang.String` | `getRecipient()` The name of the recipient of this message (not his email address).
`boolean` | `isDeleted()`
`boolean` | `isFlagged()`
`boolean` | `isForwarded()`
`boolean` | `isRead()`
`boolean` | `isReplied()`
`java.lang.Object[]` | `messageThreadReferences()` A list of the above messageid objects that this message has references to.
`void` | `setDeleted(boolean value)`
`void` | `setFlagged(boolean value)`
`void` | `setForwarded(boolean value)`
`void` | `setIsRead(boolean value)`
`void` | `setReplied(boolean value)`
`java.lang.String` | `simplifiedDate()` A short rendition of the sent date.
`java.lang.String` | `simplifiedSubject()` The subject, minus any "Re:" part.
`boolean` | `subjectIsReply()` Whether the subject has a "Re:" part."

Method Detail

### getAuthor

    public java.lang.String getAuthor()
                               throws javax.mail.MessagingException

  The name of the author of this message (not his email address).

### getRecipient

    public java.lang.String getRecipient()
                                  throws javax.mail.MessagingException

  The name of the recipient of this message (not his email address).

### simplifiedSubject

    public java.lang.String simplifiedSubject()
                                       throws javax.mail.MessagingException

  The subject, minus any "Re:" part.

### subjectIsReply

    public boolean subjectIsReply()
                           throws javax.mail.MessagingException

  Whether the subject has a "Re:" part."

### simplifiedDate

    public java.lang.String simplifiedDate()
                                    throws javax.mail.MessagingException

  A short rendition of the sent date.

### getMessageID

    public java.lang.Object getMessageID()
                                  throws javax.mail.MessagingException

  A unique object representing the message-id for this message.

### messageThreadReferences

    public java.lang.Object[] messageThreadReferences()
                                               throws javax.mail.MessagingException

  A list of the above messageid objects that this message has references to.

### isRead

    public boolean isRead()
                   throws javax.mail.MessagingException

### setIsRead

    public void setIsRead(boolean value)
                   throws javax.mail.MessagingException

### isReplied

    public boolean isReplied()
                      throws javax.mail.MessagingException

### setReplied

    public void setReplied(boolean value)
                    throws javax.mail.MessagingException

### isForwarded

    public boolean isForwarded()
                        throws javax.mail.MessagingException

### setForwarded

    public void setForwarded(boolean value)
                      throws javax.mail.MessagingException

### isFlagged

    public boolean isFlagged()
                      throws javax.mail.MessagingException

### setFlagged

    public void setFlagged(boolean value)
                    throws javax.mail.MessagingException

### isDeleted

    public boolean isDeleted()
                      throws javax.mail.MessagingException

### setDeleted

    public void setDeleted(boolean value)
                    throws javax.mail.MessagingException

### getInputStreamWithHeaders

    public java.io.InputStream getInputStreamWithHeaders()
                                                  throws javax.mail.MessagingException

  Gets the input stream for the message, in RFC822 format: a bunch of headers, and then a blank line, and then the message itself.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD